Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.filter.codec.demux
Class MessageDecoderResult

    java.lang.Object
      org.apache.mina.filter.codec.demux.MessageDecoderResult

    public class MessageDecoderResult

extends Object

Represents results from `MessageDecoder`.

Version:
  $Rev: 555855 $, $Date: 2007-07-13 05:19:00 +0200 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)
See Also:
  `MessageDecoder`

Field Summary
`static MessageDecoderResult` | `NEED_DATA` Represents a result from `MessageDecoder.decodable(IoSession, ByteBuffer)` and `MessageDecoder.decode(IoSession, ByteBuffer, ProtocolDecoderOutput)`.
`static MessageDecoderResult` | `NOT_OK` Represents a result from `MessageDecoder.decodable(IoSession, ByteBuffer)` and `MessageDecoder.decode(IoSession, ByteBuffer, ProtocolDecoderOutput)`.
`static MessageDecoderResult` | `OK` Represents a result from `MessageDecoder.decodable(IoSession, ByteBuffer)` and `MessageDecoder.decode(IoSession, ByteBuffer, ProtocolDecoderOutput)`.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OK

    public static MessageDecoderResult OK

  Represents a result from `MessageDecoder.decodable(IoSession, ByteBuffer)` and `MessageDecoder.decode(IoSession, ByteBuffer, ProtocolDecoderOutput)`. Please refer to each method's documentation for detailed explanation.

### NEED_DATA

    public static MessageDecoderResult NEED_DATA

  Represents a result from `MessageDecoder.decodable(IoSession, ByteBuffer)` and `MessageDecoder.decode(IoSession, ByteBuffer, ProtocolDecoderOutput)`. Please refer to each method's documentation for detailed explanation.

### NOT_OK

    public static MessageDecoderResult NOT_OK

  Represents a result from `MessageDecoder.decodable(IoSession, ByteBuffer)` and `MessageDecoder.decode(IoSession, ByteBuffer, ProtocolDecoderOutput)`. Please refer to each method's documentation for detailed explanation.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.